Subject: bug#3221: 23.0.93; ns cannot handle nonascii file names

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jan 2016 20:34:14 +0200

> From: Alan J Third <[email-masked]>
> Date: Sat, 16 Jan 2016 17:06:17 +0000
> Cc: Ian Eure <[email-masked]>, Leo <[email-masked]>, [email-masked]
> 
> Not having LANG set does break ispell checking with hunspell on OSX, for
> me at least, so it would still be nice to have the locale stuff fixed.
> Presumably there are other reasons for wanting Emacs to have the correct
> locale, too.
> 
> Should that be a new bug report?

Are you saying that the NS build doesn't pick up the correct locale in
the session run from the GUI because it can only do so if LANG is set?
If so, yes, I think a separate bug report should be filed for that.
Having a correct value of the locale is very important for many things
in Emacs; spell-checking is just a tip of the iceberg.

Thanks.